#include <OS.h>

class port
{
public:
			port(const char *name, const int32 depth=200);
			port(port_id);
			~port();
			
		ssize_t	Read(int32 *code, void *buffer, size_t buffsize);
		ssize_t	ReadEtc(int32 *code, void *buff, size_t size, uint32 flags, bigtime_t timeout);
		
		status_t	Write(int32 code, void *buffer, size_t size);
		status_t	WriteEtc(int32 code, void *buff, size_t size, uint32 flags, bigtime_t timeout);
		
		ssize_t	CurrentBufferSize();
		ssize_t	CurrentBufferSizeEtc(uint32 flags, bigtime_t timeout);
		
		int32	MessagesWaiting();
		
		status_t	SetOwner(team_id);
		
protected:
	port_id	fPortID;
	
private:
};