
#include <stdio.h>
#include "searchtree.h"
#include "astring.h"
#include "treetraverse.h"

main()
{	
	String name1("William");
	String name2("Albert");
	String name3("Adams");
	String name4("Anita");
	String name5("Suresh");
	String name6("Leena");
	
	searchTree<String &> nametree;

	nametree.Add(name1);
	nametree.Add(name2);
	nametree.Add(name3);
	nametree.Add(name4);
	nametree.Add(name5);
	nametree.Add(name6);

	printf("Includes: William => %d\n", nametree.Includes(String("William")));
	printf("Includes: Albert => %d\n", nametree.Includes(String("Albert")));
	printf("Includes: Sam => %d\n", nametree.Includes(String("Sam")));

	nametree.Remove(String("Albert"));
	printf("Post Includes: Albert => %d\n", nametree.Includes(String("Albert")));
			
	printf("Tree Height: %d\n", nametree.GetRootNode()->Height(nametree.GetRootNode()));
	printf("Tree Size: %d\n", nametree.GetRootNode()->Size(nametree.GetRootNode()));

	searchTreeIterator<String &> itr(nametree);
	for (itr.init(); !itr.done(); itr.next())
	{
		printf("Name: %s\n", (const char *)itr());
	}
}
