#include "astring.h"

typedef unsigned long (*hash_function)
	(const char *key, const unsigned long keySize, const unsigned long TableSize);

// Hash function that is useful in certain situations.
// The implementation is fast and has good spread on large
// and small table sizes.
unsigned long StringHash(String &key, const unsigned long TableSize);

// This one will work with arbitrary data
unsigned long DataHash(const void *key, const unsigned long keySize, const unsigned long TableSize);
